package com.ruoyi.system.serviceyada.impl;

import com.ruoyi.system.domainyada.AustraliaMiddleEastVO;
import com.ruoyi.system.mapperyada.AustraliaMiddleEastMapper;
import com.ruoyi.system.serviceyada.IGlobalTypeService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * 全球各类型占比
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:47
 */
public class GlobalTypeServiceimpl implements IGlobalTypeService {

    @Autowired
    private AustraliaMiddleEastMapper australiaMiddleEastMapper;

    @Override
    public List<AustraliaMiddleEastVO> selectAustralia()
    {
        return australiaMiddleEastMapper.selectAustralia();
    }

    @Override
    public Integer DelAustralia(String id) {
        return australiaMiddleEastMapper.DelAustralia(id);

    }

    @Override
    public Integer IntoAustralia(AustraliaMiddleEastVO eastVO) {
        return australiaMiddleEastMapper.IntoAustralia(eastVO);
    }
}
